<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>添加员工信息</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
  <link rel="stylesheet" type="text/css" href="../../layuiadmin/style/formSelects-v4.css"/>
    <style>
        #group_selecter dl{max-height: 200px;}
    </style>
</head>
<body>

  <div class="layui-fluid">
        <div class="layui-card">

          <div class="layui-card-body" pad15>
            <form class="layui-form" action="" lay-filter="component-form-element">
              <div class="layui-row layui-col-space10 layui-form-item">
              <div class="layui-col-lg6">
                  <label class="layui-form-label">优惠券：</label>
                  <div class="layui-input-block" id="group_selecter">
                    <select name="groups" xm-select="selectGroup">

                    </select>
                  </div>
                </div>
                <button id="id_save" class="layui-btn" lay-submit lay-filter="component-form-element" style="display: none">保存</button>
              </div>
            </form>
          </div>
        </div>
      </div>

  <script src="../../layuiadmin/layui/layui.js"></script>
  <script>

  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index',
    formSelects: 'formSelects-v4'
  }).use(['index', 'form', 'utils', 'formSelects'], function(){
    var $ = layui.$
    ,admin = layui.admin
    ,formSelects = layui.formSelects
    ,form = layui.form;
    var id = layui.view.getParameterByName('id');

     formSelects.config('selectGroup', {
      beforeSuccess:function(eid, url, searchVal, result){
          if(id){
              var coupons = layui.view.getParameterByName('coupons');
              for(var n in result.data){
                  var item = result.data[n];
                  if(coupons.indexOf(parseInt(item.value)) > -1)
                      item.selected = 'selected';
              }
          }

          return result;
      }
    });

    formSelects.data('selectGroup', 'server', {
        url: '/activity/coupon/dict/'
    });


    form.on('submit(component-form-element)', function(data){
      //layer.msg(JSON.stringify(data.field));
      var groups = formSelects.value('selectGroup', 'val');
      admin.req({
        url: '/activity/activity/coupon_save/?id='+id
        ,data: {'coupons': JSON.stringify(groups)}
        ,type: 'post'
        ,done: function(res){
            parent.layer.closeAll('iframe');
            parent.layui.table.reload('datagrid',{});
        }
      });

      return false;
    });

    parent.layui.submitChild = function () {
      $("#id_save").click();
    };
  });
  </script>
</body>
</html>